from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns =[
    # L'admin Django (surchargé par Jazzmin)
    path('admin/', admin.site.urls),
    
    # Authentification (Login / Logout)
    path('auth/', include('accounts.urls')),
    
    # Interface du Gérant (Dashboard)
    path('dashboard/', include('dashboard.urls')),
    
    # Interface des Agents (Scanner & API)
    # L'URL sera active dès qu'on aura mis le code du scanner juste après
    path('scanner/', include('scanner.urls')),
    
    # Interface Publique (Vitrine) - Toujours la mettre en dernier
    path('', include('vitrine.urls')),
]

# Configuration VITALE pour afficher les QR Codes et images en développement
if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)